diff tests/test-inotify-debuginotify @ 8555:3e09bc5fee12

inotify: introduce debuginotify, which lists which paths are under watch
author Nicolas Dumazet <nicdumz.commits@gmail.com>
date Wed, 22 Apr 2009 00:37:35 +0900
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-inotify-debuginotify	Wed Apr 22 00:37:35 2009 +0900
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+"$TESTDIR/hghave" inotify || exit 80
+
+hg init
+
+echo "[extensions]" >> $HGRCPATH
+echo "inotify=" >> $HGRCPATH
+
+echo % inserve
+hg inserve -d --pid-file=hg.pid
+cat hg.pid >> "$DAEMON_PIDS"
+
+# let the daemon finish its stuff
+sleep 1
+
+echo % empty
+hg debuginotify
+
+mkdir a
+sleep 1
+
+echo % only 'a'
+hg debuginotify
+
+rmdir a
+sleep 1
+
+echo % empty again
+hg debuginotify
+
+kill `cat hg.pid`